"""
   Pruefen auf Typensicherheit.
   Typen:
      String
      Integer
      Float
      Date      Deutsches und Ansiformat (1.1.2011, 2001-01-02
                auch mit Zeitangabe moeglich 11.12.2011 10:33
      Email
   """

from dateconverter import Dateconverter


class Checktype():
   """ Ueberpruefung des Datenyps"""

   def isString(self,value):
      return isinstance(value,str)

   def isInteger(self,value):
      return isinstance(value,int)

   def isFloat(self,value):
      return isinstance(value,float)

   def isDate(self,value):
      dc = Dateconverter()
      try:
         dc.fromString(value)
      except:
         return False
      return True

      """Pruefen auf gueltiges Datum vorhanden ist"""

   # MINI emailadressencheck
   # http://www.daniweb.com/code/snippet280071.html
   #
   def isEmail(self,a):
      if not self.isString(a):
         return False

      sep=[x for x in a if not x.isalpha()]
      sepjoined=''.join(sep)
      if sepjoined.strip('.') != '@': 
         return False
      end=a
      for i in sep:
         part,i,end=end.partition(i)
         if len(part)<2: 
           return False
      return True
